获取 AML 历史
获取当前用户创建的 AML 检查列表并支持分页。通过状态过滤可以快速定位目标记录。
POST /v1/aml-checks/history
请求
请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| page | integer | 否 | 页码(默认 1,最小 1) |
| per_page | integer | 否 | 每页条数(默认 10,范围 1-50) |
| status | string | 否 | 按 AML 状态过滤(见下表) |
状态取值
| 取值 | 说明 |
|---|---|
| pending | 已创建,等待处理 |
| processing | 正在处理 |
| completed | 已成功完成 |
| failed | 因错误失败 |
| expired | 在获得结果前已过期 |
| skipped | 未执行检查且未扣费(例如从未有链上活动的地址),不包含风险结论 |
筛选器接受 processing 和 expired,但目前检查仅记录为 pending、completed、skipped 或 failed。
bash
#!/bin/bash
API_TOKEN="your_api_token"
API_SECRET="your_api_secret"
REQUEST_BODY='{
"page": 1,
"per_page": 10,
"status": "completed"
}'
# 计算签名
SIGNATURE=$(echo -n "${REQUEST_BODY}${API_SECRET}" | sha256sum | cut -d' ' -f1)
# 发送请求
curl -X POST "https://api.trxup.com/v1/aml-checks/history" \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "X-Signature: ${SIGNATURE}" \
-H "Content-Type: application/json" \
-d "${REQUEST_BODY}"javascript
const crypto = require('crypto');
const axios = require('axios');
const apiToken = 'your_api_token';
const apiSecret = 'your_api_secret';
const requestBody = JSON.stringify({
page: 1,
per_page: 10,
status: 'completed'
});
// 计算签名
const signature = crypto
.createHash('sha256')
.update(requestBody + apiSecret)
.digest('hex');
// 发送请求
axios({
method: 'post',
url: 'https://api.trxup.com/v1/aml-checks/history',
headers: {
'Authorization': `Bearer ${apiToken}`,
'X-Signature': signature,
'Content-Type': 'application/json'
},
data: requestBody
})
.then(response => console.log(response.data))
.catch(error => console.error(error));php
<?php
$apiToken = 'your_api_token';
$apiSecret = 'your_api_secret';
$requestBody = json_encode([
'page' => 1,
'per_page' => 10,
'status' => 'completed'
]);
// 计算签名
$signature = hash('sha256', $requestBody . $apiSecret);
// 发送请求
$ch = curl_init('https://api.trxup.com/v1/aml-checks/history');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $requestBody);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer ' . $apiToken,
'X-Signature: ' . $signature,
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>python
import hashlib
import json
import requests
api_token = 'your_api_token'
api_secret = 'your_api_secret'
request_body = json.dumps({
'page': 1,
'per_page': 10,
'status': 'completed'
})
# 计算签名
signature = hashlib.sha256((request_body + api_secret).encode()).hexdigest()
# 发送请求
headers = {
'Authorization': f'Bearer {api_token}',
'X-Signature': signature,
'Content-Type': 'application/json'
}
response = requests.post(
'https://api.trxup.com/v1/aml-checks/history',
headers=headers,
data=request_body
)
print(response.json())响应
响应包含分页信息,以及与其他 AML 接口相同结构的检查数据列表。
响应字段
| 字段 | 类型 | 说明 |
|---|---|---|
| code | integer | 响应码(0 = 成功) |
| request_id | string | 唯一请求标识符 |
| result | object | 分页结果 |
| result.page | integer | 当前页码 |
| result.per_page | integer | 当前页返回的记录数 |
| result.total | integer | 满足条件的总记录数 |
| result.items | array | AML 检查条目 |
| result.items[].id | string | AML 检查 ID |
| result.items[].type | string | AML 服务类型(address 或 hash) |
| result.items[].address | string | 检查的地址 |
| result.items[].network | string | 区块链网络代码,写法与支持的网络列表一致(例如 TRX、TetherOMNI) |
| result.items[].status | string | 当前状态(pending, processing, completed, failed, expired, skipped) |
| result.items[].risk_score | string|null | 风险评分,保留两位小数的字符串(例如 "12.50"),尚无评分时为 null |
| result.items[].risk_level | string|null | 风险等级(low、medium、high) |
| result.items[].blacklist | boolean | 是否命中黑名单 |
| result.items[].risk_factors | array | 资金所关联的风险类别,按 score 从大到小排列,每个类别一项;未报告任何类别时为空数组 [](例如检查尚未完成时) |
| result.items[].risk_factors[].name | string | 类别键,取值为风险因素类别中列出的键之一;列表之外的类别报告为 other |
| result.items[].risk_factors[].label | string | 类别的英文名称(不翻译) |
| result.items[].risk_factors[].group | string | 类别的风险分组:low、medium 或 high |
| result.items[].risk_factors[].score | number | 与该类别关联的资金占比,取值 0 到 1,保留 3 位小数 |
| result.items[].checked_at | string | 检查创建时间(ISO 8601) |
| result.items[].hash | string | 检查的哈希(仅 hash) |
| result.items[].direction | string | 被检查的交易一方,deposit 或 withdrawal(仅 hash) |
完整的类别键列表(含名称和分组)见风险因素类别。
响应示例
json
{
"code": 0,
"request_id": "bbf74bcd-fb36-4df8-adc8-25f2bacd087b",
"result": {
"page": 1,
"per_page": 2,
"total": 5,
"items": [
{
"id": "1042",
"type": "hash",
"address": "TPY1Kb8cKAZQfm95gXQQs2Mh8Uygtos21D",
"network": "TRX",
"status": "completed",
"risk_score": "64.30",
"risk_level": "high",
"blacklist": true,
"risk_factors": [],
"checked_at": "2024-03-25T11:14:48+00:00",
"hash": "E3F2A1B66DBB9F0B24C4125229163944A7D91EB3F1AC5E409FFCEE0C81A913F2",
"direction": "withdrawal"
},
{
"id": "1041",
"type": "address",
"address": "TPY1Kb8cKAZQfm95gXQQs2Mh8Uygtos21D",
"network": "TRX",
"status": "pending",
"risk_score": null,
"risk_level": null,
"blacklist": false,
"risk_factors": [],
"checked_at": "2024-03-25T11:12:03+00:00"
}
]
}
}可能的错误
| 错误码 | Key | 说明 |
|---|---|---|
| 1 | auth | 认证错误(令牌或签名无效) |
| 2 | invalid_service_or_params | 分页或状态参数无效 |
| 500 | internal_server_error | 服务器内部错误 |